'use client';

import { create } from 'zustand';
import { devtools } from 'zustand/middleware';
import {
  createReportTabSlice,
  ReportTabSlice,
} from '@/stores/report/slices/report-tab.slice';

export type ReportTabStore = ReportTabSlice;

export const useReportTabStore = create<ReportTabStore>()(
  devtools(
    (...args) => ({
      ...createReportTabSlice(...args),
    }),
    {
      name: 'ReportTabStore',
    }
  )
);
